## zh-autoconvert 0.3.4

=== Makefile ===

CC=gcc
CFLAG=-O2 -g


all:lib.o autob5 autogb hzlib 
lib.o:lib.c
	$(CC) $(CFLAG) -c lib.c  -o lib.o
#autob5:autob5.c lib.o hzlib
#	$(CC) $(CFLAG) autob5.c lib.o hzconvert/libhzconvert.a -o autob5
autob5: autogb
	rm -f autob5;ln -s autogb autob5
#autohz: autogb
#	rm -f autohz;ln -s autogb autohz
autogb:autogb.c lib.o hzlib
	$(CC) $(CFLAG) autogb.c lib.o hzconvert/libhzconvert.a -o autogb
hzlib:
	cd hzconvert;make
clean:
	rm -f autob5 autogb *.o; rm *~
	cd hzconvert;make clean
install:
	[ ! -f $(HOME)/bin ] || mkdir $(HOME)/bin
	rm -f $(HOME)/bin/autob5
	rm -f $(HOME)/bin/autogb
	cp -f autogb $(HOME)/bin
	ln -s $(HOME)/bin/autogb $(HOME)/bin/autob5
	chmod 755 $(HOME)/bin/autogb
