=== hzconvert/Makefile ===
CC=gcc
CFLAGS=-O2
#OBJS=b2g.o b2u.o g2u.o hztogb.o b2g_tables.o b2u_tables.o g2u_tables.o io.o unicode.o
OBJS=b2g.o b2u.o g2u.o hz2gb.o b2g_tables.o b2u_tables.o g2u_tables.o io.o unicode.o
%.o:%c
	$(CC) $(CFLAGS) -c $<

all:libhzconvert.a
libhzconvert.a:$(OBJS)
	ar rs  libhzconvert.a $(OBJS)
clean:
	rm -f *.o *~ libhzconvert.a
