=== debian/changelog ===
zh-autoconvert (0.3.16-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from LI Daobing to fix FTBFS with GCC 15.
    (Closes: #1098198)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 20:35:14 +0300

zh-autoconvert (0.3.16-10) unstable; urgency=medium

  * Team upload.
  * debian/patches/0017-Make-function-definition-explicit.patch:
    Add patch to make function declarations explicit to avoid
    FTBFS. (Closes: #1066581)

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Mar 2024 12:32:32 -0400

zh-autoconvert (0.3.16-9) unstable; urgency=medium

  * Reupload to unstable

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 14 Jun 2023 12:26:43 +0800

zh-autoconvert (0.3.16-8) experimental; urgency=medium

  [ Boyuan Yang ]
  * debian/rules:
    Use /usr/share/dpkg/buildtools.mk instead of manual setup of $PKG_CONFIG

  [ xiao sheng wen ]
  * Bump Standards-Version: 4.6.2
  * d/copyright: update year info to 2023
  * Update d/patches/*.patch, update Forwarded: field from no to not-needed
  * Update d/s/lintian-overrides
  * add d/u/metadata
  * run wrap-and-sort -a -s -b -k -t

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 16 Apr 2023 10:29:58 +0800

zh-autoconvert (0.3.16-7) unstable; urgency=medium

  * d/control:
      - add Homepage:
      - Bump Standards-Version 4.5.1
      - Build-Depends delete libgtk2.0-dev
  * not compile xchat plugin (Closes: #967848)
  * update source/lintian-overrides for d/control Homepage

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 04 Feb 2021 13:40:41 +0800

zh-autoconvert (0.3.16-6) unstable; urgency=medium

  [ 肖盛文 ]
  * fix lintian: spelling-error-in-patch-description
  * d/control:
       - Bump debhelper-compat (= 13)
       - Bump Standards-Version: 4.5.0
       - add Rules-Requires-Root: no
       - add New Uploaders: xiao sheng wen <atzlinux@sina.com>
  * d/rules:
       - delete export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
       - delete dh_missing --fail-missing
  * d/copyright: add Upstream-Contact:
  * add source/lintian-overrides
  * add libhz0.symbols
  * d/watch:
       - update to version 4
       - update url
       - add @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 18 May 2020 12:26:57 +0800

zh-autoconvert (0.3.16-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against gcc 8.
  * Force non-parallel build to circumvent potential FTBFS.
  * Remove Yu Guanghui from Uploaders list. (Closes: #838118).
  * Apply patch to fix cross-build FTCBFS by using triplet-prefixed
    pkg-config. (Closes: #853882).
  * Apply "wrap-and-sort -abst" to debian/ directory.
  * Bump Standards-Version to 4.2.1.
  * Bump debhelper compat to v11.
  * Modernize debian/rules file and enable full hardening.
  * Update Vcs field in debian/control file and use the repo under
    Debian Salsa chinese-team group.
  * Remove trailing spaces from debian/copyright file.
  * Explicitly remove xchat plugins in debian/rules file.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Sep 2018 21:54:59 -0400

zh-autoconvert (0.3.16-4) unstable; urgency=high

  * Set Debian Chinese Team as the new Maintainer, with
    Yu Guanghui and myself as Uploaders.  (Closes: #629015)
  * Migrate to debhelper (>= 9) to prevent FTBFS. (Closes: #800194)
  * Merge SUN Tong’s excellent contributions from
    https://github.com/suntong/zh-autoconvert-build:
     - Upgrade debian/watch to version 3.  (Closes: #529155)
     - Upgrade to machine-readable debian/copyright
  * Prevent upstream Makefile from stripping binaries.  (Closes: #438364)
  * List XChat 1.8.9 plugin header files as "GPL-2+ with OpenSSL exception"
    in debian/copyright.
  * Convert documentation and comments from GB2312 to UTF-8.
  * No longer install xchat-autogb.so and xchat-autob5.so,
    which uses the XChat 1.x Plugin Interface that became obsolete
    13 years ago.

 -- Anthony Fok <foka@debian.org>  Tue, 17 Nov 2015 16:47:26 -0700

zh-autoconvert (0.3.16-3) unstable; urgency=low

  * Depand on libgtk2.0-dev instead of libgtk1.2-dev (Closes:Bug#516056)

 -- Yu Guanghui <ygh@debian.org>  Thu, 19 Feb 2009 20:10:00 +0800

zh-autoconvert (0.3.16-2) unstable; urgency=medium

  * Move architecture-dependent files to /usr/lib. (Closes:Bug#392406)

 -- Yu Guanghui <ygh@debian.org>  Thu, 12 Oct 2006 11:33:41 +0800

zh-autoconvert (0.3.16-1) unstable; urgency=low

  * New upstream release
  * Add exit(0) (Closes:Bug#355842)
  * examples changed (Closes:Bug#334401)
  * Cleanup fixed bugs (Closes:Bug#297142)

 -- Yu Guanghui <ygh@debian.org>  Wed,  9 Aug 2006 17:34:24 +0800

zh-autoconvert (0.3.14-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch by Andreas Jochens to fix FTBFS with gcc 4.0
    (Closes: #297142)

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  6 Aug 2005 02:59:50 +0200

zh-autoconvert (0.3.14-2) unstable; urgency=low

  * patch for gcc-3.4. (closes:Bug#264156)

 -- Yu Guanghui <ygh@debian.org>  Sat,  7 Aug 2004 23:20:59 +0800

zh-autoconvert (0.3.14-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Fri, 12 Dec 2003 21:15:42 +0800

zh-autoconvert (0.3.13-4) unstable; urgency=low

  * compiled with gcc-3.3. (closes:Bug#196469)

 -- Yu Guanghui <ygh@debian.org>  Sat,  7 Jun 2003 20:45:35 +0800

zh-autoconvert (0.3.13-3) unstable; urgency=low

  * Compiled the static library without  -fPIC.

 -- Yu Guanghui <ygh@debian.org>  Wed, 18 Jul 2001 01:56:14 +0800

zh-autoconvert (0.3.13-2) unstable; urgency=low

  * Fixed zh-autoconvert Depend problem.

 -- Yu Guanghui <ygh@debian.org>  Tue, 17 Jul 2001 23:28:34 +0800

zh-autoconvert (0.3.13-1) unstable; urgency=low

  * New upstream release

 -- Yu Guanghui <ygh@debian.org>  Fri, 11 May 2001 21:22:39 +0800

zh-autoconvert (0.3.12-2) unstable; urgency=low

  * Change libhz0(>=$${Source-Version}) to libhz0 (>=0.3.12-2)

 -- Yu Guanghui <ygh@debian.org>  Tue,  1 May 2001 22:48:08 +0800

zh-autoconvert (0.3.12-1) unstable; urgency=low

  * New upstream release

