=== debian/watch ===
version=4
https://code.google.com/archive/p/libhz/downloads .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

# Was
# ftp://ftp.dlut.edu.cn/pub/PEOPLE/saka/autoconvert-(.+)\.tar\.gz
